
Dashboard - Bug #49342

mgr/dashboard: alert notification shows 'undefined' instead of alert message

02/17/2021 06:00 PM - Ernesto Puerta

Status: Resolved % Done: 0%

Priority: Normal   

Assignee: Nizamudeen  A   

Category: Monitoring   

Target version: v17.0.0   

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport: pacific,octopus,nautilus Pull request ID: 40332

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

Description of problem

Alerts (e.g.: "storage filling up") show an undefined text, where supposedly it should go the explanation of it ("Mountpoint

/rootfs/dev/shm on node-exporter will be full in less than 5 days assuming the average fill-up rate of the past 48 hours.").

Additionally 2 notifications are displayed per alert (active and unprocessed).

 

Environment

ceph version string: master/17

Platform (OS/distro/release): ceph-dev/vstart

Cluster details (nodes, monitors, OSDs): 1 node/3 OSDs

How reproducible

Deploy ceph-dev with all services: dc up -d ceph grafana prometheus node-exporter alertmanager

03/13/2024 1/2



Related issues:

Copied to Dashboard - Backport #50068: pacific: mgr/dashboard: alert notifica... Resolved

Copied to Dashboard - Backport #50069: nautilus: mgr/dashboard: alert notific... Resolved

Copied to Dashboard - Backport #50070: octopus: mgr/dashboard: alert notifica... Resolved

History

#1 - 02/25/2021 01:17 PM - Alfonso Martínez

- Assignee set to Nizamudeen  A

#2 - 03/23/2021 07:20 AM - Nizamudeen  A

- Status changed from New to Fix Under Review

- Pull request ID set to 40332

#3 - 03/31/2021 05:24 AM - Nizamudeen  A

- Status changed from Fix Under Review to Pending Backport

#4 - 03/31/2021 05:25 AM - Backport Bot

- Copied to Backport #50068: pacific: mgr/dashboard: alert notification shows 'undefined' instead of alert message added

#5 - 03/31/2021 05:25 AM - Backport Bot

- Copied to Backport #50069: nautilus: mgr/dashboard: alert notification shows 'undefined' instead of alert message added

#6 - 03/31/2021 05:25 AM - Backport Bot

- Copied to Backport #50070: octopus: mgr/dashboard: alert notification shows 'undefined' instead of alert message added

#7 - 04/15/2021 05:18 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 148 to Monitoring

#8 - 04/28/2021 07:39 AM - Nizamudeen  A

- Status changed from Pending Backport to Resolved
